#!/bin/sh

DIR=/usr/local/share/ports+/
DATA_DIR=/var/db/ports+/
GMAKE='gmake -s'
GMAKE=gmake
GMAKE="${GMAKE} -f ${DIR}GNUmakefile"

for i
do
	case "$i" in
		-j|-j[0-9]*|--jobs)
			export BSDMAKE_OPTIONS='BATCH=1'
			args="$args $i"
			shift;;
		-full-dependencies)
			export ALL='-vall=1'
			shift;;
		-make-config)
			echo -make-config;
			cmd='make config-conditional'
			shift;;
		-make-config-recursive|-make-recursive-config)
			echo -make-config;
			cmd='make config-recursive'
			shift;;
		*)
			args="$args $i"
			shift;;
	esac
done


if [ "X$cmd" != "X" -a "X$args" != "X" ]; then
	for pkg in `echo $args | gawk -F\| \
		-f ${DIR}lkup.awk \
		-f ${DIR}lib.awk \
		-vindex_list=${DATA_DIR}index.list -vports_dir=/usr/ports/ \
		-vpkg_dir=/var/db/pkg/`
	do
		$cmd -C /usr/ports/$pkg
	done
fi

$GMAKE $args
exit $?
